"""
Contains constants mapping Pygame events to event method names for Blueprints.
"""
import pygame

key_constants1 = {
                  pygame.K_BACKSPACE: "key_backspace",
                  pygame.K_TAB: "key_tab",
                  pygame.K_CLEAR: "key_clear",
                  pygame.K_RETURN: "key_return",
                  pygame.K_PAUSE: "key_pause",
                  pygame.K_ESCAPE: "key_escape",
                  pygame.K_SPACE: "key_space",
                  pygame.K_EXCLAIM: "key_exclaimation",
                  pygame.K_QUOTEDBL: "key_doublequote",
                  pygame.K_HASH: "key_hash",
                  pygame.K_DOLLAR: "key_dollar",
                  pygame.K_AMPERSAND: "key_ampersand",
                  pygame.K_QUOTE: "key_singlequote",
                  pygame.K_LEFTPAREN: "key_leftparenthesis",
                  pygame.K_RIGHTPAREN: "key_rightparenthesis",
                  pygame.K_ASTERISK: "key_asterisk",
                  pygame.K_PLUS: "key_plus",
                  pygame.K_COMMA: "key_comma",
                  pygame.K_MINUS: "key_minus",
                  pygame.K_PERIOD: "key_period",
                  pygame.K_SLASH: "key_slash",
                  pygame.K_COLON: "key_colon",
                  pygame.K_SEMICOLON: "key_semicolon",
                  pygame.K_LESS: "key_lessthan",
                  pygame.K_EQUALS: "key_equals",
                  pygame.K_GREATER: "key_greaterthan",
                  pygame.K_QUESTION: "key_questionmark",
                  pygame.K_AT: "key_atsymbol",
                  pygame.K_LEFTBRACKET: "key_leftbracket",
                  pygame.K_BACKSLASH: "key_backslash",
                  pygame.K_RIGHTBRACKET: "key_rightbracket",
                  pygame.K_CARET: "key_caret",
                  pygame.K_UNDERSCORE: "key_underscore",
                  pygame.K_BACKQUOTE: "key_backquote",
                  pygame.K_DELETE: "key_delete",
                  pygame.K_KP_PERIOD: "key_numberpadperiod",
                  pygame.K_KP_DIVIDE: "key_numberpaddivide",
                  pygame.K_KP_MULTIPLY: "key_numberpadmultiply",
                  pygame.K_KP_MINUS: "key_numberpadminus",
                  pygame.K_KP_PLUS: "key_numberpadplus",
                  pygame.K_KP_ENTER: "key_numberpadenter",
                  pygame.K_KP_EQUALS: "key_numberpadequals",
                  pygame.K_UP: "key_up",
                  pygame.K_DOWN: "key_down",
                  pygame.K_RIGHT: "key_right",
                  pygame.K_LEFT: "key_left",
                  pygame.K_INSERT: "key_insert",
                  pygame.K_HOME: "key_home",
                  pygame.K_END: "key_end",
                  pygame.K_PAGEUP: "key_pageup",
                  pygame.K_PAGEDOWN: "key_pagedown",
                  pygame.K_NUMLOCK: "key_numlock",
                  pygame.K_CAPSLOCK: "key_capslock",
                  pygame.K_SCROLLOCK: "key_scrolllock",
                  pygame.K_RSHIFT: "key_rightshift",
                  pygame.K_LSHIFT: "key_leftshift",
                  pygame.K_RCTRL: "key_rightctrl",
                  pygame.K_LCTRL: "key_leftctrl",
                  pygame.K_RALT: "key_rightalt",
                  pygame.K_LALT: "key_leftalt",
                  pygame.K_RMETA: "key_rightmeta",
                  pygame.K_LMETA: "key_leftmeta",
                  pygame.K_LSUPER: "key_leftsuper",
                  pygame.K_RSUPER: "key_rightsuper",
                  pygame.K_MODE: "key_mode",
                  pygame.K_HELP: "key_help",
                  pygame.K_PRINT: "key_print",
                  pygame.K_SYSREQ: "key_sysreq",
                  pygame.K_BREAK: "key_break",
                  pygame.K_MENU: "key_menu",
                  pygame.K_POWER: "key_power",
                  pygame.K_EURO: "key_euro",
                 }
key_constants2 = {
                  (pygame.K_a, pygame.K_b, pygame.K_c, pygame.K_d, pygame.K_e, pygame.K_f, pygame.K_g,
                   pygame.K_h, pygame.K_i, pygame.K_j, pygame.K_k, pygame.K_l, pygame.K_m, pygame.K_n,
                   pygame.K_o, pygame.K_p, pygame.K_q, pygame.K_r, pygame.K_s, pygame.K_t, pygame.K_u,
                   pygame.K_v, pygame.K_w, pygame.K_x, pygame.K_y, pygame.K_z,): "key_letter",
                  (pygame.K_KP0, pygame.K_KP1, pygame.K_KP2, pygame.K_KP3, pygame.K_KP4,
                   pygame.K_KP5, pygame.K_KP6,pygame.K_KP7, pygame.K_KP8, pygame.K_KP9,): "key_numberpad",
                  (pygame.K_0, pygame.K_1, pygame.K_2, pygame.K_3, pygame.K_4,
                   pygame.K_5, pygame.K_6, pygame.K_7, pygame.K_8, pygame.K_9,): "key_number",
                  (pygame.K_F1, pygame.K_F2, pygame.K_F3, pygame.K_F4, pygame.K_F5, pygame.K_F6,
                   pygame.K_F7, pygame.K_F8, pygame.K_F9, pygame.K_F10, pygame.K_F11, pygame.K_F12,
                   pygame.K_F13, pygame.K_F14, pygame.K_F15,): "key_function",
                 }